Debian Bug report logs - #578019
libwebkit-1.0-2: makes DNS query for every mouse movement

version graph

Package: libwebkit-1.0-2; Maintainer for libwebkit-1.0-2 is Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>;

Reported by: Ian Bruce <ian_bruce@fastmail.net>

Date: Fri, 16 Apr 2010 06:36:01 UTC

Severity: important

Tags: fixed-upstream, patch, squeeze

Merged with 585526

Found in versions webkit/1.2.0-1, webkit/1.2.1-2

Fixed in versions 1.6.1-4, webkit/1.2.7-0+squeeze2

Done: Gustavo Noronha Silva <kov@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.webkit.org/show_bug.cgi?id=38263

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#578019; Package libwebkit-1.0-2. (Fri, 16 Apr 2010 06:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Bruce <ian_bruce@fastmail.net>:
New Bug report received and forwarded. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Fri, 16 Apr 2010 06:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ian Bruce <ian_bruce@fastmail.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libwebkit-1.0-2: makes DNS query for every mouse movement
Date: Thu, 15 Apr 2010 23:40:44 -0700
Package: libwebkit-1.0-2
Version: 1.2.0-1
Severity: important


Webkit seems to make a DNS query for every mouse movement event that it receives
from the browser window. (This happens with both Epiphany and Midori, so I assume
that the problem is in Webkit.)

This is easy to reproduce; run the following command (as root):

    tcpdump -n -i eth0 port 53

(use appropriate network interface for remote DNS server)

Then load any random website (say, www.debian.org) into a browser window, and simply
move the mouse pointer around in that window, without clicking on anything. This will
generate a continuous stream of hundreds of DNS queries, of the following form:

21:54:13.616734 IP client.address.net.55545 > dns.server.net.53: 47984+ A? . (17)
21:54:13.616870 IP client.address.net.55545 > dns.server.net.53: 21375+ AAAA? . (17)
21:54:13.637479 IP dns.server.net.53 > client.address.net.55545: 47984 0/1/0 (92)
21:54:13.638427 IP dns.server.net.53 > client.address.net.55545: 21375 0/1/0 (92)
21:54:13.657687 IP client.address.net.40289 > dns.server.net.53: 53754+ A? . (17)
21:54:13.657824 IP client.address.net.40289 > dns.server.net.53: 43656+ AAAA? . (17)
21:54:13.678386 IP dns.server.net.53 > client.address.net.40289: 53754 0/1/0 (92)
21:54:13.678841 IP dns.server.net.53 > client.address.net.40289: 43656 0/1/0 (92)
21:54:13.688747 IP client.address.net.34724 > dns.server.net.53: 52909+ A? . (17)
21:54:13.688878 IP client.address.net.34724 > dns.server.net.53: 19941+ AAAA? . (17)
21:54:13.709435 IP dns.server.net.53 > client.address.net.34724: 52909 0/1/0 (92)
21:54:13.710367 IP dns.server.net.53 > client.address.net.34724: 19941 0/1/0 (92)

(IP addresses replaced with appropriate hostnames)

Presumably, even with a local DNS server, tracing calls to the DNS resolver library
would show the same phenomenon.

I have to say that I find this behaviour appalling. It seems to be a security issue
all by itself, and is probably a symptom of even bigger problems.


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-3-686 (SMP w/1 CPU core)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libwebkit-1.0-2 depends on:
ii  libatk1.0-0                 1.30.0-1     The ATK accessibility toolkit
ii  libc6                       2.10.2-6     Embedded GNU C Library: Shared lib
ii  libcairo2                   1.8.10-4     The Cairo 2D vector graphics libra
ii  libenchant1c2a              1.4.2-3.3    a wrapper library for various spel
ii  libfontconfig1              2.8.0-2      generic font configuration library
ii  libfreetype6                2.3.11-1     FreeType 2 font engine, shared lib
ii  libgail18                   2.20.0-2     GNOME Accessibility Implementation
ii  libgcc1                     1:4.4.2-9    GCC support library
ii  libglib2.0-0                2.24.0-1     The GLib library of C routines
ii  libgstreamer-plugins-base0. 0.10.28-1    GStreamer libraries from the "base
ii  libgstreamer0.10-0          0.10.28-1    Core GStreamer libraries and eleme
ii  libgtk2.0-0                 2.20.0-2     The GTK+ graphical user interface 
ii  libicu42                    4.2.1-3      International Components for Unico
ii  libjpeg62                   6b-15        The Independent JPEG Group's JPEG 
ii  libpango1.0-0               1.28.0-1     Layout and rendering of internatio
ii  libpng12-0                  1.2.43-1     PNG library - runtime
ii  libsoup2.4-1                2.30.0-1     an HTTP library implementation in 
ii  libsqlite3-0                3.6.23.1-1   SQLite 3 shared library
ii  libstdc++6                  4.4.2-9      The GNU Standard C++ Library v3
ii  libwebkit-1.0-common        1.2.0-1      Web content engine library for Gtk
ii  libxml2                     2.7.7.dfsg-1 GNOME XML library
ii  libxslt1.1                  1.1.26-2     XSLT processing library - runtime 
ii  libxt6                      1:1.0.7-1    X11 toolkit intrinsics library

libwebkit-1.0-2 recommends no packages.

libwebkit-1.0-2 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#578019; Package libwebkit-1.0-2. (Sat, 17 Apr 2010 21:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Sat, 17 Apr 2010 21:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 578019@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 578019@bugs.debian.org, 578019-submitter@bugs.debian.org
Subject: Re: Bug#578019: libwebkit-1.0-2: makes DNS query for every mouse movement
Date: Sat, 17 Apr 2010 17:46:50 -0400
On Thu, 15 Apr 2010 23:40:44 -0700 Ian Bruce wrote:

> Package: libwebkit-1.0-2
> Version: 1.2.0-1
> Severity: important
> 
> 
> Webkit seems to make a DNS query for every mouse movement event that it receives
> from the browser window. (This happens with both Epiphany and Midori, so I assume
> that the problem is in Webkit.)
> 
> This is easy to reproduce; run the following command (as root):
> 
>     tcpdump -n -i eth0 port 53
> 
> (use appropriate network interface for remote DNS server)
> 
> Then load any random website (say, www.debian.org) into a browser window, and simply
> move the mouse pointer around in that window, without clicking on anything. This will
> generate a continuous stream of hundreds of DNS queries, of the following form:
> 
> 21:54:13.616734 IP client.address.net.55545 > dns.server.net.53: 47984+ A? . (17)
> 21:54:13.616870 IP client.address.net.55545 > dns.server.net.53: 21375+ AAAA? . (17)
> 21:54:13.637479 IP dns.server.net.53 > client.address.net.55545: 47984 0/1/0 (92)
> 21:54:13.638427 IP dns.server.net.53 > client.address.net.55545: 21375 0/1/0 (92)
> 21:54:13.657687 IP client.address.net.40289 > dns.server.net.53: 53754+ A? . (17)
> 21:54:13.657824 IP client.address.net.40289 > dns.server.net.53: 43656+ AAAA? . (17)
> 21:54:13.678386 IP dns.server.net.53 > client.address.net.40289: 53754 0/1/0 (92)
> 21:54:13.678841 IP dns.server.net.53 > client.address.net.40289: 43656 0/1/0 (92)
> 21:54:13.688747 IP client.address.net.34724 > dns.server.net.53: 52909+ A? . (17)
> 21:54:13.688878 IP client.address.net.34724 > dns.server.net.53: 19941+ AAAA? . (17)
> 21:54:13.709435 IP dns.server.net.53 > client.address.net.34724: 52909 0/1/0 (92)
> 21:54:13.710367 IP dns.server.net.53 > client.address.net.34724: 19941 0/1/0 (92)
> 
> (IP addresses replaced with appropriate hostnames)
> 
> Presumably, even with a local DNS server, tracing calls to the DNS resolver library
> would show the same phenomenon.
> 
> I have to say that I find this behaviour appalling. It seems to be a security issue
> all by itself, and is probably a symptom of even bigger problems.

it may actually be undesirable, but i don't think it can be considered
a security issue.  iceweasel does pretty much the same thing anyway.  i
think this has to do with page precaching, and there are options to
disable that.

mike




Message sent on to Ian Bruce <ian_bruce@fastmail.net>:
Bug#578019. (Sat, 17 Apr 2010 21:48:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#578019; Package libwebkit-1.0-2. (Sun, 18 Apr 2010 06:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to <ian_bruce@fastmail.net>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Sun, 18 Apr 2010 06:18:05 GMT) Full text and rfc822 format available.

Message #18 received at 578019@bugs.debian.org (full text, mbox):

From: <ian_bruce@fastmail.net>
To: Michael Gilbert <michael.s.gilbert@gmail.com>, 578019-quiet@bugs.debian.org
Cc: 578019@bugs.debian.org, 578019-submitter@bugs.debian.org
Subject: Re: Bug#578019: libwebkit-1.0-2: makes DNS query for every mouse movement
Date: Sat, 17 Apr 2010 23:10:58 -0700
On Sat, 17 Apr 2010 17:46:50 -0400
Michael Gilbert <michael.s.gilbert@gmail.com> wrote:

>> I have to say that I find this behaviour appalling. It seems to be a
>> security issue all by itself, and is probably a symptom of even
>> bigger problems.
> 
> it may actually be undesirable,

It may actually be completely illegitimate and pointless to try
thousands of times to resolve the domain name "." .

> but i don't think it can be considered a security issue.

As long as you don't mind having every movement of your mouse, no matter
how tiny, reported on your external network connection.

> iceweasel does pretty much the same thing anyway.

That is absolutely false. If you would try it for yourself, you would
see that it does no such thing.

> i think this has to do with page precaching, and there are options to
> disable that.

There can be no rational reason for making an unlimited number of DNS
queries for the hostname "." on the pretext that the mouse has moved. It
has to do with being a particularly stupid bug.





Information stored :
Bug#578019; Package libwebkit-1.0-2. (Sun, 18 Apr 2010 06:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to <ian_bruce@fastmail.net>:
Extra info received and filed, but not forwarded. (Sun, 18 Apr 2010 06:18:08 GMT) Full text and rfc822 format available.

Message sent on to Ian Bruce <ian_bruce@fastmail.net>:
Bug#578019. (Sun, 18 Apr 2010 06:18:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#578019; Package libwebkit-1.0-2. (Sun, 18 Apr 2010 06:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Sun, 18 Apr 2010 06:45:03 GMT) Full text and rfc822 format available.

Message #31 received at 578019@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Ian Bruce <ian_bruce@fastmail.net>, 578019@bugs.debian.org
Subject: Re: Bug#578019: libwebkit-1.0-2: makes DNS query for every mouse movement
Date: Sun, 18 Apr 2010 08:41:30 +0200
On Thu, Apr 15, 2010 at 11:40:44PM -0700, Ian Bruce wrote:
> Package: libwebkit-1.0-2
> Version: 1.2.0-1
> Severity: important
> 
> 
> Webkit seems to make a DNS query for every mouse movement event that it receives
> from the browser window. (This happens with both Epiphany and Midori, so I assume
> that the problem is in Webkit.)
> 
> This is easy to reproduce; run the following command (as root):
> 
>     tcpdump -n -i eth0 port 53
> 
> (use appropriate network interface for remote DNS server)
> 
> Then load any random website (say, www.debian.org) into a browser window, and simply
> move the mouse pointer around in that window, without clicking on anything. This will
> generate a continuous stream of hundreds of DNS queries, of the following form:
> 
> 21:54:13.616734 IP client.address.net.55545 > dns.server.net.53: 47984+ A? . (17)
> 21:54:13.616870 IP client.address.net.55545 > dns.server.net.53: 21375+ AAAA? . (17)
> 21:54:13.637479 IP dns.server.net.53 > client.address.net.55545: 47984 0/1/0 (92)
> 21:54:13.638427 IP dns.server.net.53 > client.address.net.55545: 21375 0/1/0 (92)
> 21:54:13.657687 IP client.address.net.40289 > dns.server.net.53: 53754+ A? . (17)
> 21:54:13.657824 IP client.address.net.40289 > dns.server.net.53: 43656+ AAAA? . (17)
> 21:54:13.678386 IP dns.server.net.53 > client.address.net.40289: 53754 0/1/0 (92)
> 21:54:13.678841 IP dns.server.net.53 > client.address.net.40289: 43656 0/1/0 (92)
> 21:54:13.688747 IP client.address.net.34724 > dns.server.net.53: 52909+ A? . (17)
> 21:54:13.688878 IP client.address.net.34724 > dns.server.net.53: 19941+ AAAA? . (17)
> 21:54:13.709435 IP dns.server.net.53 > client.address.net.34724: 52909 0/1/0 (92)
> 21:54:13.710367 IP dns.server.net.53 > client.address.net.34724: 19941 0/1/0 (92)
> 
> (IP addresses replaced with appropriate hostnames)
> 
> Presumably, even with a local DNS server, tracing calls to the DNS resolver library
> would show the same phenomenon.
> 
> I have to say that I find this behaviour appalling. It seems to be a security issue
> all by itself, and is probably a symptom of even bigger problems.

I can't reproduce this behaviour... Are you sure these requests come
from epiphany ?

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#578019; Package libwebkit-1.0-2. (Sun, 18 Apr 2010 07:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to <ian_bruce@fastmail.net>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Sun, 18 Apr 2010 07:48:03 GMT) Full text and rfc822 format available.

Message #36 received at 578019@bugs.debian.org (full text, mbox):

From: <ian_bruce@fastmail.net>
To: Mike Hommey <mh@glandium.org>
Cc: 578019@bugs.debian.org
Subject: Re: Bug#578019: libwebkit-1.0-2: makes DNS query for every mouse movement
Date: Sun, 18 Apr 2010 00:52:04 -0700
On Sun, 18 Apr 2010 08:41:30 +0200
Mike Hommey <mh@glandium.org> wrote:

> I can't reproduce this behaviour... Are you sure these requests come
> from epiphany ?

Epiphany, or Midori.

midori : version 0.2.4-2

epiphany-browser : version 2.30.2-1

libwebkit-1.0-2 : version 1.2.0-1

The correlation between moving the mouse pointer around in the browser
window, and getting this stream of DNS queries, is 100%. If the mouse
pointer is motionless, or not inside the browser window, nothing
happens. If it moves inside the browser window, there are two DNS
queries for every pixel of movement (or more probably, every mouse event
from the X server):

00:27:05.355933 IP web.client.52494 > dns.server.53: 44565+ A? . (17)
00:27:05.356072 IP web.client.52494 > dns.server.53: 6626+ AAAA? . (17)
00:27:05.378726 IP dns.server.53 > web.client.52494: 44565 0/1/0 (92)
00:27:05.379457 IP dns.server.53 > web.client.52494: 6626 0/1/0 (92)

It doesn't even matter whether the browser window has the input
focus. However, if the mouse pointer moves along a hyperlink, then no
DNS queries are generated.

This is probably a stupid question, but does your /etc/resolv.conf point
to a remote DNS server? Does tcpdump show the DNS query for the webhost
when a page gets loaded?





Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#578019; Package libwebkit-1.0-2. (Sun, 18 Apr 2010 07:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Sun, 18 Apr 2010 07:57:05 GMT) Full text and rfc822 format available.

Message #41 received at 578019@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: ian_bruce@fastmail.net
Cc: 578019@bugs.debian.org
Subject: Re: Bug#578019: libwebkit-1.0-2: makes DNS query for every mouse movement
Date: Sun, 18 Apr 2010 09:53:26 +0200
On Sun, Apr 18, 2010 at 12:52:04AM -0700, ian_bruce@fastmail.net wrote:
> On Sun, 18 Apr 2010 08:41:30 +0200
> Mike Hommey <mh@glandium.org> wrote:
> 
> > I can't reproduce this behaviour... Are you sure these requests come
> > from epiphany ?
> 
> Epiphany, or Midori.
> 
> midori : version 0.2.4-2
> 
> epiphany-browser : version 2.30.2-1
> 
> libwebkit-1.0-2 : version 1.2.0-1
> 
> The correlation between moving the mouse pointer around in the browser
> window, and getting this stream of DNS queries, is 100%. If the mouse
> pointer is motionless, or not inside the browser window, nothing
> happens. If it moves inside the browser window, there are two DNS
> queries for every pixel of movement (or more probably, every mouse event
> from the X server):
> 
> 00:27:05.355933 IP web.client.52494 > dns.server.53: 44565+ A? . (17)
> 00:27:05.356072 IP web.client.52494 > dns.server.53: 6626+ AAAA? . (17)
> 00:27:05.378726 IP dns.server.53 > web.client.52494: 44565 0/1/0 (92)
> 00:27:05.379457 IP dns.server.53 > web.client.52494: 6626 0/1/0 (92)
> 
> It doesn't even matter whether the browser window has the input
> focus. However, if the mouse pointer moves along a hyperlink, then no
> DNS queries are generated.
> 
> This is probably a stupid question, but does your /etc/resolv.conf point
> to a remote DNS server? Does tcpdump show the DNS query for the webhost
> when a page gets loaded?

Yes it does. Have you tried with another window manager ?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#578019; Package libwebkit-1.0-2. (Sun, 18 Apr 2010 08:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to <ian_bruce@fastmail.net>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Sun, 18 Apr 2010 08:36:03 GMT) Full text and rfc822 format available.

Message #46 received at 578019@bugs.debian.org (full text, mbox):

From: <ian_bruce@fastmail.net>
To: Mike Hommey <mh@glandium.org>
Cc: 578019@bugs.debian.org
Subject: Re: Bug#578019: libwebkit-1.0-2: makes DNS query for every mouse movement
Date: Sun, 18 Apr 2010 01:40:20 -0700
On Sun, 18 Apr 2010 09:53:26 +0200
Mike Hommey <mh@glandium.org> wrote:

>> Does tcpdump show the DNS query for the webhost when a page gets
>> loaded?
> 
> Yes it does. Have you tried with another window manager ?

xfwm4 (v4.6.1-1) and metacity (v1:2.28.0-3) exhibit exactly the same
behavior. Are there any others you would like me to try?

I don't really see why the window manager would have anything to do with
it anyway. Either mouse movement events get reported to the window in
question, or they don't. The real issue is, why WebKit (or whatever)
feels compelled to make a DNS query for "." every time it receives a
mouse move event.

As I already mentioned, neither Galeon nor Iceweasel have this problem;
it seems to be WebKit-specific. But since you can't reproduce it, there
must be some other dependency as well.

some library versions:

libgtk2.0-0 : 2.20.0-2

libglib2.0-0 : 2.24.0-1

Anything else come to mind?





Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#578019; Package libwebkit-1.0-2. (Sun, 18 Apr 2010 14:10:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Sun, 18 Apr 2010 14:10:38 GMT) Full text and rfc822 format available.

Message #51 received at 578019@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 578019@bugs.debian.org, 578019-submitter@bugs.debian.org
Subject: Re: Bug#578019: libwebkit-1.0-2: makes DNS query for every mouse movement
Date: Sun, 18 Apr 2010 10:08:23 -0400
On Sun, 18 Apr 2010 01:40:20 -0700 ian_bruce@fastmail.net wrote:

> On Sun, 18 Apr 2010 09:53:26 +0200
> Mike Hommey <mh@glandium.org> wrote:
> 
> >> Does tcpdump show the DNS query for the webhost when a page gets
> >> loaded?
> > 
> > Yes it does. Have you tried with another window manager ?
> 
> xfwm4 (v4.6.1-1) and metacity (v1:2.28.0-3) exhibit exactly the same
> behavior. Are there any others you would like me to try?
> 
> I don't really see why the window manager would have anything to do with
> it anyway. Either mouse movement events get reported to the window in
> question, or they don't. The real issue is, why WebKit (or whatever)
> feels compelled to make a DNS query for "." every time it receives a
> mouse move event.
> 
> As I already mentioned, neither Galeon nor Iceweasel have this problem;
> it seems to be WebKit-specific. But since you can't reproduce it, there
> must be some other dependency as well.

i suppose i am not able to reproduce it either.  i see a modest amount
of dns queries when the page is first loaded, then more queries when
links are moused over.  but i don't see the claimed activity for every
pixel moved by the mouse.

mike




Message sent on to Ian Bruce <ian_bruce@fastmail.net>:
Bug#578019. (Sun, 18 Apr 2010 14:10:53 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#578019; Package libwebkit-1.0-2. (Mon, 19 Apr 2010 11:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to <ian_bruce@fastmail.net>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Mon, 19 Apr 2010 11:18:06 GMT) Full text and rfc822 format available.

Message #59 received at 578019@bugs.debian.org (full text, mbox):

From: <ian_bruce@fastmail.net>
To: Michael Gilbert <michael.s.gilbert@gmail.com>
Cc: 578019@bugs.debian.org, Mike Hommey <mh@glandium.org>
Subject: Re: Bug#578019: libwebkit-1.0-2: makes DNS query for every mouse movement
Date: Mon, 19 Apr 2010 04:21:35 -0700
On Sun, 18 Apr 2010 10:08:23 -0400
Michael Gilbert <michael.s.gilbert@gmail.com> wrote:

> i suppose i am not able to reproduce it either.  i see a modest amount
> of dns queries when the page is first loaded, then more queries when
> links are moused over.

I have that too, the first time the mouse pointer touches a link to some
website. I think we can agree that this DNS pre-resolution is an
intentional feature. What I claim is a bug is this:

> but i don't see the claimed activity for every pixel moved by the
> mouse.

-- except, strangely enough, if the mouse pointer moves along a link
which has already been resolved once, no more DNS queries are
generated. As soon as it ceases to touch any hyperlink at all, there is
a continuous stream of DNS queries for every mouse movement event.

Some thoughts:

-- the domain name which is being queried seems to be literally "." (or
perhaps even the null string). Naturally, the response from the DNS
server is that this name cannot be resolved.

-- suppose that WebKit, for some obscure reason, fails to distinguish
between the cases that the mouse is hovering over a link with a hostname
of ".", and that the mouse is not over any link at all.

-- suppose further that WebKit fails to remember that "." is
unresolvable, and queries it again every time it thinks the mouse is
hovering over such a link.

-- then the above-mentioned DNS pre-resolution will result in exactly
the behavior that I've described, with the observed result that when the
mouse is over an actual hyperlink which has already been resolved, the
stream of DNS queries ceases.

Confirmation -- consider the following HTML page:

    <html>
    <head>
      <style>
      a:hover { color: #00FF00 }
      </style>
    </head>
    <body>
      <h1>It works!</h1>
      <p>This is the default web page for this server.</p>
      <p>The web server software is running
         but no content has been added, yet.</p>
      <p>
        <a href="">null link</a>
        <a href="page.html">page.html</a>
        <a href="http://./">http://./</a>
        <a href="http://./page.html">http://./page.html</a>
      </p>
    </body>
    </html>

When viewing this page (in Midori) as <http://127.0.0.1/index.html>,
mouse movement over the non-link area of the page produces the usual DNS
query storm. Movement over the first two links does not produce any DNS
queries. However, movement over the second two links produces EXACTLY
the same DNS storm as the non-link area.

Strangely, when the page is viewed as <file:///var/www/index.html>,
mouse movement over the hyperlinks or any other part of the page does
not result in the DNS query storm.

This still doesn't explain why you do not observe the same behavior.
Maybe it depends on what kind of error gethostbyname(3) returns for the
hostname "." .

If so, then it might have something to do with the contents of the files
/etc/{host.conf,resolv.conf,nsswitch.conf} .

Here's mine; maybe you can reproduce the problem by using these:

    $ cat /etc/host.conf 
    multi on
    order hosts,bind

    $ cat /etc/resolv.conf
    nameserver <NS1-IP-ADDR>
    nameserver <NS2-IP-ADDR>

    $ cat /etc/nsswitch.conf 
    passwd:         compat
    group:          compat
    shadow:         compat
    hosts:          files dns
    networks:       files
    protocols:      db files
    services:       db files
    ethers:         db files
    rpc:            db files
    netgroup:       nis





Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#578019; Package libwebkit-1.0-2. (Tue, 20 Apr 2010 13:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to 578019@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Tue, 20 Apr 2010 13:39:05 GMT) Full text and rfc822 format available.

Message #64 received at 578019@bugs.debian.org (full text, mbox):

From: Gustavo Noronha Silva <kov@debian.org>
To: ian_bruce@fastmail.net, 578019@bugs.debian.org
Cc: Michael Gilbert <michael.s.gilbert@gmail.com>, Mike Hommey <mh@glandium.org>
Subject: Re: Bug#578019: libwebkit-1.0-2: makes DNS query for every mouse movement
Date: Tue, 20 Apr 2010 10:12:16 -0300
[Message part 1 (text/plain, inline)]
On Mon, 2010-04-19 at 04:21 -0700, ian_bruce@fastmail.net wrote:
> -- then the above-mentioned DNS pre-resolution will result in exactly
> the behavior that I've described, with the observed result that when the
> mouse is over an actual hyperlink which has already been resolved, the
> stream of DNS queries ceases.
> 
> Confirmation -- consider the following HTML page:

I can reproduce the problem with the HTML page you crafted. Seems worth
reporting upstream (I will do it later today). Here's a quick backtrace:

#0  soup_session_prepare_for_uri (session=0x17e9540, uri=0x23760c0)
    at soup-session.c:1783
#1  0x00007f0f1d7fa349 in WebCore::prefetchDNS (hostname=<value
optimized out>)
    at ../WebCore/platform/network/soup/DNSSoup.cpp:44
#2  0x00007f0f1d4bc740 in WebCore::Chrome::mouseDidMoveOverElement (
    this=0x7f0f204da270, result=..., modifierFlags=24594032)
    at ../WebCore/page/Chrome.cpp:340
#3  0x00007f0f1d4d6e36 in WebCore::EventHandler::mouseMoved (
    this=<value optimized out>, event=...)
    at ../WebCore/page/EventHandler.cpp:1332
#4  0x00007f0f1d82f575 in webkit_web_view_motion_event (
    widget=<value optimized out>, event=0x234d100)
    at ../WebKit/gtk/webkit/webkitwebview.cpp:654

For some reason WebKit thinks it should do the pre-resolution when the
mouse is moved on top of the blank area of the page indeed.

Thanks,

-- 
Gustavo Noronha Silva <kov@debian.org>
Debian
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#578019; Package libwebkit-1.0-2. (Tue, 20 Apr 2010 22:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to <ian_bruce@fastmail.net>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Tue, 20 Apr 2010 22:24:03 GMT) Full text and rfc822 format available.

Message #69 received at 578019@bugs.debian.org (full text, mbox):

From: <ian_bruce@fastmail.net>
To: 578019@bugs.debian.org
Cc: kov@debian.org, Michael Gilbert <michael.s.gilbert@gmail.com>, Mike Hommey <mh@glandium.org>
Subject: Re: Bug#578019: libwebkit-1.0-2: makes DNS query for every mouse movement
Date: Tue, 20 Apr 2010 15:27:49 -0700
On Tue, 20 Apr 2010 10:12:16 -0300
Gustavo Noronha Silva <kov@debian.org> wrote:

> I can reproduce the problem with the HTML page you crafted. Seems
> worth reporting upstream (I will do it later today).

> For some reason WebKit thinks it should do the pre-resolution when the
> mouse is moved on top of the blank area of the page indeed.

Just to clarify:

-- with the test HTML page, do you get the DNS query storm only when the
mouse is over the <http://./> links, or also over the non-link areas of
the page?

-- if it happens on the non-link areas, is that true only for the test
page, or also for any random web page, for example
<http://www.debian.org/>?

-- if it happens for just about any web page, why do you suppose that
the other two investigators can't reproduce it? Does it have something
to do with the hostname resolver configuration, as I suggested above?

-- why would the behavior disappear when the same page is referenced
with a <file://> rather than a <http://> URL?

I note the following item in your backtrace, which may reveal where and
how this bug was introduced:

    #2  0x00007f0f1d4bc740 in WebCore::Chrome::mouseDidMoveOverElement (
        this=0x7f0f204da270, result=..., modifierFlags=24594032)
        at ../WebCore/page/Chrome.cpp:340

(The "Chrome" label is probably significant.)





Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#578019; Package libwebkit-1.0-2. (Wed, 21 Apr 2010 03:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to <ian_bruce@fastmail.net>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Wed, 21 Apr 2010 03:51:03 GMT) Full text and rfc822 format available.

Message #74 received at 578019@bugs.debian.org (full text, mbox):

From: <ian_bruce@fastmail.net>
To: 578019@bugs.debian.org
Cc: kov@debian.org, Michael Gilbert <michael.s.gilbert@gmail.com>, Mike Hommey <mh@glandium.org>
Subject: Re: Bug#578019: libwebkit-1.0-2: makes DNS query for every mouse movement
Date: Tue, 20 Apr 2010 20:53:50 -0700
On Tue, 20 Apr 2010 10:12:16 -0300
Gustavo Noronha Silva <kov@debian.org> wrote:

> I can reproduce the problem with the HTML page you crafted. Seems
> worth reporting upstream (I will do it later today).

> For some reason WebKit thinks it should do the pre-resolution when the
> mouse is moved on top of the blank area of the page indeed.

It turns out that this bug was already reported OVER A YEAR AGO:

https://bugs.webkit.org/show_bug.cgi?id=23846#c3

A fix was proposed over six months ago:

https://bugs.webkit.org/show_bug.cgi?id=23846#c5

I don't understand why this fix hasn't been applied upstream. Even if
you don't think this behaviour is a security problem, it's a big waste
of CPU and network resources to issue a completely useless external DNS
query for every mouse movement event -- that is, for every few pixels
that the pointer moves. That is a ridiculously stupid thing to do.

Gustavo, I draw your attention particularly to the following comments:

https://bugs.webkit.org/show_bug.cgi?id=23846#c14

https://bugs.webkit.org/show_bug.cgi?id=23846#c19





Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#578019; Package libwebkit-1.0-2. (Thu, 22 Apr 2010 13:24:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to 578019@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Thu, 22 Apr 2010 13:24:10 GMT) Full text and rfc822 format available.

Message #79 received at 578019@bugs.debian.org (full text, mbox):

From: Gustavo Noronha Silva <kov@debian.org>
To: ian_bruce@fastmail.net
Cc: 578019@bugs.debian.org, Michael Gilbert <michael.s.gilbert@gmail.com>, Mike Hommey <mh@glandium.org>
Subject: Re: Bug#578019: libwebkit-1.0-2: makes DNS query for every mouse movement
Date: Thu, 22 Apr 2010 10:21:06 -0300
[Message part 1 (text/plain, inline)]
On Tue, 2010-04-20 at 20:53 -0700, ian_bruce@fastmail.net wrote:
> > For some reason WebKit thinks it should do the pre-resolution when the
> > mouse is moved on top of the blank area of the page indeed.
> 
> It turns out that this bug was already reported OVER A YEAR AGO:
> 
> https://bugs.webkit.org/show_bug.cgi?id=23846#c3

That's not a bug report, that's a comment in the middle of an unrelated
bug report. If you feel like filing a real bug report about this, please
do =).

> A fix was proposed over six months ago:
> 
> https://bugs.webkit.org/show_bug.cgi?id=23846#c5

And there was no agreement that fix should be made, as you can see in
the comments that come after that.

> I don't understand why this fix hasn't been applied upstream. Even if
> you don't think this behaviour is a security problem, it's a big waste
> of CPU and network resources to issue a completely useless external DNS
> query for every mouse movement event -- that is, for every few pixels
> that the pointer moves. That is a ridiculously stupid thing to do.

I agree, a fix needs to be done indeed.

> Gustavo, I draw your attention particularly to the following comments:
> 
> https://bugs.webkit.org/show_bug.cgi?id=23846#c14
> 
> https://bugs.webkit.org/show_bug.cgi?id=23846#c19

Attention drawn. What exactly do you want me to see in those comments?

See you,

-- 
Gustavo Noronha Silva <kov@debian.org>
Debian
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#578019; Package libwebkit-1.0-2. (Tue, 29 Mar 2011 19:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Tue, 29 Mar 2011 19:33:05 GMT) Full text and rfc822 format available.

Message #84 received at 578019@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
Cc: 558125@bugs.debian.org, 578019@bugs.debian.org
Subject: Re: Bug#558125: epiphany-browser - Caches the decision to use ipv6 over network topology changes
Date: Tue, 29 Mar 2011 20:54:26 +0200
[Message part 1 (text/plain, inline)]
forwarded 578019 https://bugs.webkit.org/show_bug.cgi?id=38263
tag 578019 +patch
thanks

On Sat, Mar 26, 2011 at 01:56:17PM +0100, Simon Paillard wrote:
> On Sun, Mar 20, 2011 at 08:23:54PM +0100, Simon Paillard wrote:
> > On Sun, Mar 20, 2011 at 03:44:28PM -0300, Gustavo Noronha Silva wrote:
> > > On Sat, 2011-03-19 at 01:41 +0100, Simon Paillard wrote:
> [..]
> > > > - *each time the mouse is moved*, a DNS request is performed for the uri for the
> > > >   DOM object (so 0x00 for the background/already resolved, host for the link) !!
> > > 
> > > This is WebKit pre-resolving DNS, but I still don't really understand
> > > the 0x00 reference. In any case, Epiphany doesn't deal with network
> > > directly, that is libsoup's domain, so I think we should reassign it
> > > there, and perhaps get some testing on experimental's libsoup to see if
> > > there's been any improvement. Could anyone help with this?
> > 
> > This is easily reproducible (not tested in experimental yet).
> > I don't know which is responsible to trigger this mecanism, but this is
> > triggered everytime the mouse is moved, even when the object is kept the same.
> > Is this under epiphany reponsability to cache results and not request them
> > again and again to libsoup ?
> 
> Same with sid webkit libwebkit-1.0-2 (1.2.7-2)

And that is actually #578019.

https://bug-38263-attachments.webkit.org/attachment.cgi?id=54769 (attached
again) works and saves my laptop battery and name server.

Given the impact and how simple is the patch, having this fix in stable would
make epiphany more usable in stable..

BTW:
git clone git://git.debian.org/git/pkg-webkit/webkit.git webkit ...
[.. long long time ..]
warning: remote HEAD refers to nonexistent ref, unable to checkout.

-- 
Simon Paillard
[prefetchDNS-filter-void-hostname.diff (text/x-diff, attachment)]

Set Bug forwarded-to-address to 'https://bugs.webkit.org/show_bug.cgi?id=38263'. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Tue, 29 Mar 2011 19:33:06 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Tue, 29 Mar 2011 19:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#578019; Package libwebkit-1.0-2. (Sun, 10 Apr 2011 13:34:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gustavo Noronha Silva <kov@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Sun, 10 Apr 2011 13:34:35 GMT) Full text and rfc822 format available.

Message #93 received at 578019@bugs.debian.org (full text, mbox):

From: Gustavo Noronha Silva <kov@debian.org>
To: debian-release@lists.debian.org
Cc: 578019@bugs.debian.org
Subject: Planning to upload webkit 1.2.7-0+squeeze2 to stable
Date: Sat, 09 Apr 2011 10:16:16 -0300
[Message part 1 (text/plain, inline)]
Hey,

I'm planning to upload the attached change to stable. It's a very simple
change with a rather big benefit to webkit users (fixes #578019). Let me
know if it's OK to go forward.

Cheers,

-- 
Gustavo Noronha Silva <kov@debian.org>
Debian Project
[change.diff (text/x-patch, attachment)]

Reply sent to Gustavo Noronha Silva <kov@debian.org>:
You have taken responsibility. (Fri, 29 Apr 2011 12:36:09 GMT) Full text and rfc822 format available.

Notification sent to Ian Bruce <ian_bruce@fastmail.net>:
Bug acknowledged by developer. (Fri, 29 Apr 2011 12:36:10 GMT) Full text and rfc822 format available.

Message #98 received at 578019-close@bugs.debian.org (full text, mbox):

From: Gustavo Noronha Silva <kov@debian.org>
To: 578019-close@bugs.debian.org
Subject: Bug#578019: fixed in webkit 1.2.7-3
Date: Fri, 29 Apr 2011 12:33:27 +0000
Source: webkit
Source-Version: 1.2.7-3

We believe that the bug you reported is fixed in the latest version of
webkit, which is due to be installed in the Debian FTP archive:

gir1.2-webkit-1.0_1.2.7-3_amd64.deb
  to main/w/webkit/gir1.2-webkit-1.0_1.2.7-3_amd64.deb
libwebkit-1.0-2-dbg_1.2.7-3_amd64.deb
  to main/w/webkit/libwebkit-1.0-2-dbg_1.2.7-3_amd64.deb
libwebkit-1.0-2_1.2.7-3_amd64.deb
  to main/w/webkit/libwebkit-1.0-2_1.2.7-3_amd64.deb
libwebkit-1.0-common_1.2.7-3_all.deb
  to main/w/webkit/libwebkit-1.0-common_1.2.7-3_all.deb
libwebkit-dev_1.2.7-3_amd64.deb
  to main/w/webkit/libwebkit-dev_1.2.7-3_amd64.deb
webkit_1.2.7-3.debian.tar.gz
  to main/w/webkit/webkit_1.2.7-3.debian.tar.gz
webkit_1.2.7-3.dsc
  to main/w/webkit/webkit_1.2.7-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 578019@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gustavo Noronha Silva <kov@debian.org> (supplier of updated webkit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 28 Apr 2011 17:55:41 -0300
Source: webkit
Binary: libwebkit-1.0-2 libwebkit-dev libwebkit-1.0-common libwebkit-1.0-2-dbg gir1.2-webkit-1.0
Architecture: source all amd64
Version: 1.2.7-3
Distribution: unstable
Urgency: low
Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Changed-By: Gustavo Noronha Silva <kov@debian.org>
Description: 
 gir1.2-webkit-1.0 - GObject introspection data for the WebKit library
 libwebkit-1.0-2 - Web content engine library for Gtk+
 libwebkit-1.0-2-dbg - Web content engine library for Gtk+ - Debugging symbols
 libwebkit-1.0-common - Web content engine library for Gtk+ - data files
 libwebkit-dev - Web content engine library for Gtk+ - Development files
Closes: 578019
Changes: 
 webkit (1.2.7-3) unstable; urgency=low
 .
   * debian/patches/06-fix-null-dns-lookups.patch:
   - Avoid doing lots of needless NULL DNS lookups, thanks to Michael
     Gratton <mike@vee.net> for the patch and Simon Paillard
     <spaillard@debian.org> for the investigation (Closes: #578019)
   * debian/control:
   - remove build-dependency on now unnecessary gir-repository-dev
Checksums-Sha1: 
 071aac58bc0aa214117c6bf4d63a55459f032f6c 2095 webkit_1.2.7-3.dsc
 5571f505b892c75c11ca0474b8b2ce454995e18e 36798 webkit_1.2.7-3.debian.tar.gz
 c56d03e14cd05ee49040a6782d2ea23e35505479 803650 libwebkit-1.0-common_1.2.7-3_all.deb
 fc2e70420150581907f84432ee16e71e182c0479 5894932 libwebkit-1.0-2_1.2.7-3_amd64.deb
 f1be95cf288249fbbe8a79af3b106d3388636dd8 121854 libwebkit-dev_1.2.7-3_amd64.deb
 78f36690d30cbb4ed239f6466a390c17c9cd56dc 159080394 libwebkit-1.0-2-dbg_1.2.7-3_amd64.deb
 401365ac2b512c5a0077cd6d74ae2ac4754ef4c3 25878 gir1.2-webkit-1.0_1.2.7-3_amd64.deb
Checksums-Sha256: 
 42d8f87ce063528f5d1272438905cb38e41807afb6317d6bbd1bbaf4f1593b53 2095 webkit_1.2.7-3.dsc
 01ef2e259bbe824ac24e6ce8e336d028935f6d0801ba5d227a599077c05e4bca 36798 webkit_1.2.7-3.debian.tar.gz
 f8782a1af3b7714cf56f2b1501d9e983b8970a2aeca3393f408a6b52b85ceb08 803650 libwebkit-1.0-common_1.2.7-3_all.deb
 779cb0c18d4256b5abceb026b6e20ac4f3d6617f799b34a06d5e66b9015e458a 5894932 libwebkit-1.0-2_1.2.7-3_amd64.deb
 810eefd556a89c7b7677c0738e91d23ac60ed0c23657c5425a3062be29e93e60 121854 libwebkit-dev_1.2.7-3_amd64.deb
 03c139ba5ad40be2eb3d444d9d80ee2815367aa2b908d1ef93719910133ed7bd 159080394 libwebkit-1.0-2-dbg_1.2.7-3_amd64.deb
 c09352d89d83b53d9b3cae981b7cb390b96c1022aa8df966e74e47088c9edc0f 25878 gir1.2-webkit-1.0_1.2.7-3_amd64.deb
Files: 
 96ba35065ca714ed0205b4502cb0cc58 2095 web optional webkit_1.2.7-3.dsc
 5ce12a1316aab1f8241e1987ca6732e2 36798 web optional webkit_1.2.7-3.debian.tar.gz
 e8e66849912886c523a41d61be2b935a 803650 libs optional libwebkit-1.0-common_1.2.7-3_all.deb
 0d2e38c7a13b8f6b37c5ec24448c1668 5894932 libs optional libwebkit-1.0-2_1.2.7-3_amd64.deb
 43e59d9cdc9d638d8016464d12ce351a 121854 libdevel extra libwebkit-dev_1.2.7-3_amd64.deb
 57c58f407fc213f4121d04733ad16695 159080394 debug extra libwebkit-1.0-2-dbg_1.2.7-3_amd64.deb
 619995306b5b78be8ce084ed1b2a5158 25878 libs optional gir1.2-webkit-1.0_1.2.7-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBCAAGBQJNuqe8AAoJENIA6zCg+12mo7cIAINDSLHhXVLv+/wDVoLqaloc
Y5+8+w/mrXc7c8NEIzdhJMeKvOrbWR/gr2+pxB11jHk72u+MklJwmnj04k18kTz/
xRtE7JpeYEUMFbxq7Fz+n4P1pQLjarqS95tFQB031vulxWnWIu/0cEq6kEVlJZdG
H86vuRnVavLmko3YT4SyTVPHIsm9JaTeKx3DPcNArKacRlFb3MUihf9mo3gEe7gY
touHwFPNRIBnDjSkiADx50cut6ga6wZ8lAKZhptfwM6pbXXcsK25kCFBMt7XgNKB
MmMg80stJrB3Lfy3Sw1w9+PbxLOwP5kpKtzTMf9/WjXSwqRvcrRplQzhpxkVD1w=
=xBdO
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions webkit/1.2.7-3 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 May 2011 12:03:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#578019; Package libwebkit-1.0-2. (Mon, 02 May 2011 21:54:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to <ian_bruce@fastmail.net>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Mon, 02 May 2011 21:54:35 GMT) Full text and rfc822 format available.

Message #105 received at 578019@bugs.debian.org (full text, mbox):

From: <ian_bruce@fastmail.net>
To: 578019@bugs.debian.org
Subject: Re: Bug#578019 closed by Gustavo Noronha Silva <kov@debian.org> (Bug#578019: fixed in webkit 1.2.7-3)
Date: Mon, 2 May 2011 14:11:32 -0700
On Fri, 29 Apr 2011 12:36:10 +0000
owner@bugs.debian.org (Debian Bug Tracking System) wrote:

> This is an automatic notification regarding your Bug report
> which was filed against the libwebkit-1.0-2 package:
> 
> #578019: libwebkit-1.0-2: makes DNS query for every mouse movement
> 
> It has been closed by Gustavo Noronha Silva <kov@debian.org>.

Bug reopened because it doesn't seem to have been fixed.

After installing libwebkit-1.0-2 v1.2.7-3, Epiphany and Midori still
exhibit the same problem. Chromium doesn't, but for some reason it does
not depend on libwebkit-1.0-2, and does not appear to be doing any DNS
prefetching at all, even though this is supposed to be enabled. I don't
know why that would be.


This is all on i386, if that matters.





Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 12 May 2011 16:39:36 GMT) Full text and rfc822 format available.

Forcibly Merged 578019 585526. Request was from Alexander Kurtz <kurtz.alex@googlemail.com> to control@bugs.debian.org. (Sun, 21 Aug 2011 12:25:39 GMT) Full text and rfc822 format available.

Reply sent to Alexander Kurtz <kurtz.alex@googlemail.com>:
You have taken responsibility. (Tue, 01 Nov 2011 10:42:26 GMT) Full text and rfc822 format available.

Notification sent to Ian Bruce <ian_bruce@fastmail.net>:
Bug acknowledged by developer. (Tue, 01 Nov 2011 10:42:33 GMT) Full text and rfc822 format available.

Message #114 received at 578019-done@bugs.debian.org (full text, mbox):

From: Alexander Kurtz <kurtz.alex@googlemail.com>
To: Ian Bruce <ian_bruce@fastmail.net>
Cc: 578019-done@bugs.debian.org
Subject: Re: libwebkit-1.0-2: makes DNS query for every mouse movement
Date: Tue, 01 Nov 2011 11:39:56 +0100
[Message part 1 (text/plain, inline)]
Version: 1.6.1-4

On Thu, 2010-04-15 at 23:40 -0700, Ian Bruce wrote:
> Webkit seems to make a DNS query for every mouse movement event that it receives
> from the browser window. (This happens with both Epiphany and Midori, so I assume
> that the problem is in Webkit.)

While I also experienced that problem with older versions of Epiphany, I
can no longer reproduce it with Epiphany 3.0.4-1 and WebKit 1.6.1-4, so
I'm closing this bug. Feel free to reopen if necessary.

Best regards

Alexander Kurtz
[signature.asc (application/pgp-signature, inline)]

Reply sent to Alexander Kurtz <kurtz.alex@googlemail.com>:
You have taken responsibility. (Tue, 01 Nov 2011 10:42:34 GMT) Full text and rfc822 format available.

Notification sent to "Pvt. Pyle" <jambhala@gmail.com>:
Bug acknowledged by developer. (Tue, 01 Nov 2011 10:42:42 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#578019; Package libwebkit-1.0-2. (Wed, 23 Nov 2011 22:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Wed, 23 Nov 2011 22:36:03 GMT) Full text and rfc822 format available.

Message #124 received at 578019@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: Philipp Kern <pkern@debian.org>, 623148@bugs.debian.org
Cc: Gustavo Noronha Silva <gustavo@noronha.eti.br>, "Adam D. Barratt" <adam@adam-barratt.org.uk>, 578019@bugs.debian.org
Subject: Re: Bug#623148: pu: package webkit/1.2.7-0+squeeze2
Date: Wed, 23 Nov 2011 23:30:17 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Tue, Aug 23, 2011 at 10:42:59AM +0200, Philipp Kern wrote:
> On Tue, Jun 14, 2011 at 07:32:47PM +0100, Adam D. Barratt wrote:
> > On Mon, 2011-04-25 at 09:56 -0300, Gustavo Noronha Silva wrote:
> > > On Tue, 2011-04-19 at 21:33 +0100, Adam D. Barratt wrote:
> > > > On Sun, 2011-04-17 at 15:19 -0300, Gustavo Noronha Silva wrote:
> > > > > I'm planning to upload the attached change to stable. It's a very simple
> > > > > change with a rather big benefit to webkit users (fixes #578019). Let me
> > > > > know if it's OK to go forward.
> > > > From the bug log, it looks like this still needs resolving in unstable
> > > > as well?  If so then we'd really prefer that the issue be resolved there
> > > > first and we can then look at a stable update if no related issues
> > > > appear.
> > > Indeed. I was hoping to upload 1.3.x to unstable, where this code is now
> > > totally different, but since we're going to wait on that for a bit for
> > > transitions, I'll upload the fix to unstable first.
> > That was a while ago now, and the fix has made it to testing.  Please
> > feel free to go ahead with the upload to stable.
> 
> Ping.

Please note that sid users actually didn't have a chance to check the fix since
it was not uploaded despite what says the changelog (see debdiff
1.2.7-2..1.2.7-3 attached).
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=578019#105

I've build webkit again with this patch, and again the patch is ok.
http://people.debian.org/~spaillard/webkit-spu-fix-null-dns-578019/

To test it, just wireshark with "(dns.flags.response == 0) && (dns.qry.type ==
0x0001)" and move the mouse -> no more useless DNS queries.

debdiff attached (same as kov's one, but ready for nmu)

-- 
Simon Paillard
[webkit_1.2.7-2..1.2.7-3.debdiff (text/plain, attachment)]
[webkit_1.2.7-0+squeeze1.1-spu-fix-null-dns-578019.debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#578019; Package libwebkit-1.0-2. (Sun, 15 Jan 2012 17:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Sun, 15 Jan 2012 17:30:04 GMT) Full text and rfc822 format available.

Message #129 received at 578019@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Simon Paillard <spaillard@debian.org>, 623148@bugs.debian.org
Cc: Philipp Kern <pkern@debian.org>, Gustavo Noronha Silva <gustavo@noronha.eti.br>, 578019@bugs.debian.org
Subject: Re: Bug#623148: pu: package webkit/1.2.7-0+squeeze2
Date: Sun, 15 Jan 2012 17:26:30 +0000
On Wed, 2011-11-23 at 23:30 +0100, Simon Paillard wrote:
> On Tue, Aug 23, 2011 at 10:42:59AM +0200, Philipp Kern wrote:
> > On Tue, Jun 14, 2011 at 07:32:47PM +0100, Adam D. Barratt wrote:
> > > That was a while ago now, and the fix has made it to testing.  Please
> > > feel free to go ahead with the upload to stable.
> > 
> > Ping.
> 
> Please note that sid users actually didn't have a chance to check the fix since
> it was not uploaded despite what says the changelog (see debdiff
> 1.2.7-2..1.2.7-3 attached).
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=578019#105

As Simon notes, the fix in fact appears never to have made it to
unstable.  In the meantime, the upload has hit p-u-NEW; unfortunately it
will stay there until the issue is actually fixed in unstable at least.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#578019; Package libwebkit-1.0-2. (Sun, 15 Jan 2012 19:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Sun, 15 Jan 2012 19:36:07 GMT) Full text and rfc822 format available.

Message #134 received at 578019@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 623148@bugs.debian.org
Cc: 578019@bugs.debian.org
Subject: Re: Bug#623148: pu: package webkit/1.2.7-0+squeeze2
Date: Sun, 15 Jan 2012 20:32:33 +0100
On Sun, Jan 15, 2012 at 05:26:30PM +0000, Adam D. Barratt wrote:
> On Wed, 2011-11-23 at 23:30 +0100, Simon Paillard wrote:
> > On Tue, Aug 23, 2011 at 10:42:59AM +0200, Philipp Kern wrote:
> > > On Tue, Jun 14, 2011 at 07:32:47PM +0100, Adam D. Barratt wrote:
> > > > That was a while ago now, and the fix has made it to testing.  Please
> > > > feel free to go ahead with the upload to stable.
> > > 
> > > Ping.
> > 
> > Please note that sid users actually didn't have a chance to check the fix since
> > it was not uploaded despite what says the changelog (see debdiff
> > 1.2.7-2..1.2.7-3 attached).
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=578019#105
> 
> As Simon notes, the fix in fact appears never to have made it to
> unstable.  In the meantime, the upload has hit p-u-NEW; unfortunately it
> will stay there until the issue is actually fixed in unstable at least.

Sorry for not making this explicit, but it's no longer possible to test this
patch in sid, since DNS resolution changed in webkit.
http://trac.webkit.org/changeset/56128

In sid, I can confirm webkit 1.6.1-5 with libsoup 2.36.1-1 are not affected by this bug.

Fix trivial and build is ok in squeeze.

-- 
Simon Paillard




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#578019; Package libwebkit-1.0-2. (Sun, 15 Jan 2012 20:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Sun, 15 Jan 2012 20:39:03 GMT) Full text and rfc822 format available.

Message #139 received at 578019@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Simon Paillard <spaillard@debian.org>
Cc: 623148@bugs.debian.org, 578019@bugs.debian.org, Gustavo Noronha Silva <gustavo@noronha.eti.br>
Subject: Re: Bug#623148: pu: package webkit/1.2.7-0+squeeze2
Date: Sun, 15 Jan 2012 20:34:02 +0000
tag 623148 + pending
thanks

On Sun, 2012-01-15 at 20:32 +0100, Simon Paillard wrote:
> On Sun, Jan 15, 2012 at 05:26:30PM +0000, Adam D. Barratt wrote:
> > On Wed, 2011-11-23 at 23:30 +0100, Simon Paillard wrote:
> > > Please note that sid users actually didn't have a chance to check the fix since
> > > it was not uploaded despite what says the changelog (see debdiff
> > > 1.2.7-2..1.2.7-3 attached).
> > > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=578019#105
> > 
> > As Simon notes, the fix in fact appears never to have made it to
> > unstable.  In the meantime, the upload has hit p-u-NEW; unfortunately it
> > will stay there until the issue is actually fixed in unstable at least.
> 
> Sorry for not making this explicit, but it's no longer possible to test this
> patch in sid, since DNS resolution changed in webkit.
> http://trac.webkit.org/changeset/56128

Ah, yeah, that wasn't obvious from your earlier mail. :-)  I did check
earlier, but was misled by 1.2.7-3 still being in sid (due to o-o-d hurd
binaries).

> In sid, I can confirm webkit 1.6.1-5 with libsoup 2.36.1-1 are not affected by this bug.
> 
> Fix trivial and build is ok in squeeze.

In that case, I've flagged the package for acceptance; thanks.

Regards,

Adam





Reply sent to Gustavo Noronha Silva <kov@debian.org>:
You have taken responsibility. (Sun, 15 Jan 2012 20:51:05 GMT) Full text and rfc822 format available.

Notification sent to Ian Bruce <ian_bruce@fastmail.net>:
Bug acknowledged by developer. (Sun, 15 Jan 2012 20:51:06 GMT) Full text and rfc822 format available.

Message #144 received at 578019-close@bugs.debian.org (full text, mbox):

From: Gustavo Noronha Silva <kov@debian.org>
To: 578019-close@bugs.debian.org
Subject: Bug#578019: fixed in webkit 1.2.7-0+squeeze2
Date: Sun, 15 Jan 2012 20:47:27 +0000
Source: webkit
Source-Version: 1.2.7-0+squeeze2

We believe that the bug you reported is fixed in the latest version of
webkit, which is due to be installed in the Debian FTP archive:

gir1.0-webkit-1.0_1.2.7-0+squeeze2_amd64.deb
  to main/w/webkit/gir1.0-webkit-1.0_1.2.7-0+squeeze2_amd64.deb
libwebkit-1.0-2-dbg_1.2.7-0+squeeze2_amd64.deb
  to main/w/webkit/libwebkit-1.0-2-dbg_1.2.7-0+squeeze2_amd64.deb
libwebkit-1.0-2_1.2.7-0+squeeze2_amd64.deb
  to main/w/webkit/libwebkit-1.0-2_1.2.7-0+squeeze2_amd64.deb
libwebkit-1.0-common_1.2.7-0+squeeze2_all.deb
  to main/w/webkit/libwebkit-1.0-common_1.2.7-0+squeeze2_all.deb
libwebkit-dev_1.2.7-0+squeeze2_amd64.deb
  to main/w/webkit/libwebkit-dev_1.2.7-0+squeeze2_amd64.deb
webkit_1.2.7-0+squeeze2.debian.tar.gz
  to main/w/webkit/webkit_1.2.7-0+squeeze2.debian.tar.gz
webkit_1.2.7-0+squeeze2.dsc
  to main/w/webkit/webkit_1.2.7-0+squeeze2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 578019@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gustavo Noronha Silva <kov@debian.org> (supplier of updated webkit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 09 Apr 2011 10:02:05 -0300
Source: webkit
Binary: libwebkit-1.0-2 libwebkit-dev libwebkit-1.0-common libwebkit-1.0-2-dbg gir1.0-webkit-1.0
Architecture: source all amd64
Version: 1.2.7-0+squeeze2
Distribution: stable
Urgency: low
Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Changed-By: Gustavo Noronha Silva <kov@debian.org>
Description: 
 gir1.0-webkit-1.0 - GObject introspection data for the WebKit library
 libwebkit-1.0-2 - Web content engine library for Gtk+
 libwebkit-1.0-2-dbg - Web content engine library for Gtk+ - Debugging symbols
 libwebkit-1.0-common - Web content engine library for Gtk+ - data files
 libwebkit-dev - Web content engine library for Gtk+ - Development files
Closes: 578019
Changes: 
 webkit (1.2.7-0+squeeze2) stable; urgency=low
 .
   [ Gustavo Noronha Silva ]
   * debian/patches/06-fix-null-dns-lookups.patch:
   - Avoid doing lots of needless NULL DNS lookups, thanks to Michael
     Gratton <mike@vee.net> for the patch and Simon Paillard
     <spaillard@debian.org> for the investigation (Closes: #578019)
Checksums-Sha1: 
 fd3ac0b74d8db53b2f31a2766de7b32e7ad0b3ce 2110 webkit_1.2.7-0+squeeze2.dsc
 98642452ab5b4629fed4375739b18c793163e031 35499 webkit_1.2.7-0+squeeze2.debian.tar.gz
 469e676bdb77f9e3f0b145a876269fbbba65923f 726914 libwebkit-1.0-common_1.2.7-0+squeeze2_all.deb
 7bc0a018534a54fe53eb31c1d953c090445f88bd 5766290 libwebkit-1.0-2_1.2.7-0+squeeze2_amd64.deb
 1052251534d77b928b80f6a1b2d06214aa89fcd6 126452 libwebkit-dev_1.2.7-0+squeeze2_amd64.deb
 e97ee60c7853fcd4c28f585d17b499968a9d2f75 139183906 libwebkit-1.0-2-dbg_1.2.7-0+squeeze2_amd64.deb
 d0baee8e2e26b22def055b01b3db7aeb83783bc2 32384 gir1.0-webkit-1.0_1.2.7-0+squeeze2_amd64.deb
Checksums-Sha256: 
 65f812bb3459bdfeaf0113183248a10da9c2b5477675e5579c63dc75df7cdb0a 2110 webkit_1.2.7-0+squeeze2.dsc
 55b250fef39c15bd8fae0e688665517135295220503209c30205b8102db010fb 35499 webkit_1.2.7-0+squeeze2.debian.tar.gz
 8fddc857551f0364746f2a3413a1011841f66bf31eb69a0aeecd521a848a6ea9 726914 libwebkit-1.0-common_1.2.7-0+squeeze2_all.deb
 02f71a1e993a22484d3663bc46916736b5bc8f2cc7d0308ac11ea03edb9b9c79 5766290 libwebkit-1.0-2_1.2.7-0+squeeze2_amd64.deb
 726580c0a84c651c0d446e3fc9e73f5eef6bbfa0268ff7fa6857be33c9f8add3 126452 libwebkit-dev_1.2.7-0+squeeze2_amd64.deb
 b6398885e53e9472516cf81553d07df698f76d1fd688221e4d715c8f8ab5aa59 139183906 libwebkit-1.0-2-dbg_1.2.7-0+squeeze2_amd64.deb
 130b9bf45f830043d973821f915e4cfe126efef0adc44ecb0a52d0206e01ed00 32384 gir1.0-webkit-1.0_1.2.7-0+squeeze2_amd64.deb
Files: 
 3cb9a2bd2a8238521e9ae1a7d322e655 2110 web optional webkit_1.2.7-0+squeeze2.dsc
 17fa5893f2a7212a24ccf1832ac39d61 35499 web optional webkit_1.2.7-0+squeeze2.debian.tar.gz
 c63b9d2f72499e83a992b28733e4e953 726914 libs optional libwebkit-1.0-common_1.2.7-0+squeeze2_all.deb
 1a32a3cb9afa674553d2b5c331118e40 5766290 libs optional libwebkit-1.0-2_1.2.7-0+squeeze2_amd64.deb
 9a242b1f1871a028299a9530ecb6a049 126452 libdevel extra libwebkit-dev_1.2.7-0+squeeze2_amd64.deb
 c3a0619ebe6b0ad91a9e60f0b92c28c7 139183906 debug extra libwebkit-1.0-2-dbg_1.2.7-0+squeeze2_amd64.deb
 810c9bb29b9749d71f857b0f6e3a0a5b 32384 libs optional gir1.0-webkit-1.0_1.2.7-0+squeeze2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBCAAGBQJO4XP8AAoJENIA6zCg+12mrI4H/0QqTvBAmyQeDtVN2bJ4DF++
JmqykOJ6u/EYnfeBsVyWavzXzsrcSAB4VFW/RezK7gbHNv6JckPeRWIroRUxzO/2
LP/Fxyy+5KunArgyRDU5UbiegfDvnR2RK3uTvyc0sf4T8i/dzmJVuuM63T20wgVn
mTaS4Vj3W1NHpQHonzY6jA+O6Y8M1sxpj/o6d4na/34vjDxUVB1vFpFxp/rTe/5G
472+NHwD3vVLhZkL12Uej1d/juNOid4tvrd1nMqiDVO59MDO12r90aljfMpsxkkN
PmwRgpQBDv/Ptsnu4zYQtNs/TUivZeeGRiXFggDAyWT6lqzR/NPLCR5wynySbZc=
=cVvP
-----END PGP SIGNATURE-----





Reply sent to Gustavo Noronha Silva <kov@debian.org>:
You have taken responsibility. (Sun, 15 Jan 2012 20:51:06 GMT) Full text and rfc822 format available.

Notification sent to "Pvt. Pyle" <jambhala@gmail.com>:
Bug acknowledged by developer. (Sun, 15 Jan 2012 20:51:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 20 Feb 2012 07:35:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 01:42:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.